Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxFeatureCtrl.h File Reference This file contains the public API of the IXP425 Feature Control component. More... Go to the source code of this file.
## Defines
#define | IX_FEATURE_CTRL_COMPONENT_DISABLED
| Hardware Component is disabled/unavailable. Return status by ixFeatureCtrlComponentCheck().
#define | IX_FEATURE_CTRL_COMPONENT_ENABLED
| Hardware Component is available. Return status by ixFeatureCtrlComponentCheck().
#define | IX_FEATURE_CTRL_SILICON_TYPE_A0
| This is the value of A0 Silicon in product ID.
#define | IX_FEATURE_CTRL_SILICON_TYPE_B0
| This is the value of B0 Silicon in product ID.
#define | IX_FEATURE_CTRL_SILICON_STEPPING_MASK
| This is the mask of silicon stepping in product ID.
#define | IX_FEATURE_CTRL_XSCALE_FREQ_533
| This is the value of 533MHz XScale Core in product ID.
#define | IX_FEATURE_CTRL_XSCALE_FREQ_400
| This is the value of 400MHz XScale Core in product ID.
#define | IX_FEATURE_CTRL_XSCALE_FREQ_266
| This is the value of 266MHz XScale Core in product ID.
#define | IX_FEATURE_CTRL_XSCALE_FREQ_MASK
| This is the mask of XScale Core in product ID.
#define | IX_FEATURECTRL_REG_LOC_RCOMP
| The bit location for RComp Circuitry.
#define | IX_FEATURECTRL_REG_LOC_USB
| The bit location for USB Controller.
#define | IX_FEATURECTRL_REG_LOC_HASH
| The bit location for Hashing Coprocessor.
#define | IX_FEATURECTRL_REG_LOC_AES
| The bit location for AES Coprocessor.
#define | IX_FEATURECTRL_REG_LOC_DES
| The bit location for DES Coprocessor.
#define | IX_FEATURECTRL_REG_LOC_HDLC
| The bit location for HDLC Coprocessor.
#define | IX_FEATURECTRL_REG_LOC_AAL
| The bit location for AAL Coprocessor.
#define | IX_FEATURECTRL_REG_LOC_HSS
| The bit location for HSS Coprocessor.
#define | IX_FEATURECTRL_REG_LOC_UTOPIA
| The bit location for UTOPIA Coprocessor.
#define | IX_FEATURECTRL_REG_LOC_ETH0
| The bit location for Ethernet 0 Coprocessor.
#define | IX_FEATURECTRL_REG_LOC_ETH1
| The bit location for Ethernet 1 Coprocessor.
#define | IX_FEATURECTRL_REG_LOC_NPEA
| The bit location for NPE A.
#define | IX_FEATURECTRL_REG_LOC_NPEB
| The bit location for NPE B.
#define | IX_FEATURECTRL_REG_LOC_NPEC
| The bit location for NPE C.
#define | IX_FEATURECTRL_REG_LOC_PCI
| The bit location for PCI Controller.
#define | IX_FEATURECTRL_REG_LOC_UTOPIA_PHY_LIMIT
| The bit location for Utopia PHY Limit Status.
#define | IX_FEATURECTRL_RCOMP
| The Component Name for RCOMP Circuitry. The name will be used for ixFeatureCtrlComponentCheck().
#define | IX_FEATURECTRL_USB
| The Component Name for USB Controller. The name will be used for ixFeatureCtrlComponentCheck().
#define | IX_FEATURECTRL_HASH
| The Component Name for Hashing Coprocessor. The name will be used for ixFeatureCtrlComponentCheck().
#define | IX_FEATURECTRL_AES
| The Component Name for AES Coprocessor. The name will be used for ixFeatureCtrlComponentCheck().
#define | IX_FEATURECTRL_DES
| The Component Name for DES Coprocessor. The name will be used for ixFeatureCtrlComponentCheck().
#define | IX_FEATURECTRL_HDLC
| The Component Name for HDLC Coprocessor. The name will be used for ixFeatureCtrlComponentCheck().
#define | IX_FEATURECTRL_AAL
| The Component Name for AAL Coprocessor. The name will be used for ixFeatureCtrlComponentCheck().
#define | IX_FEATURECTRL_HSS
| The Component Name for HSS Coprocessor. The name will be used for ixFeatureCtrlComponentCheck().
#define | IX_FEATURECTRL_UTOPIA
| The Component Name for Utopia Coprocessor. The name will be used for ixFeatureCtrlComponentCheck().
#define | IX_FEATURECTRL_ETH0
| The Component Name for Ethernet 0 Coprocessor. The name will be used for ixFeatureCtrlComponentCheck().
#define | IX_FEATURECTRL_ETH1
| The Component Name for Ethernet 1 Coprocessor. The name will be used for ixFeatureCtrlComponentCheck().
#define | IX_FEATURECTRL_NPEA
| The Component Name for NPE A. The name will be used for ixFeatureCtrlComponentCheck().
#define | IX_FEATURECTRL_NPEB
| The Component Name for NPE B. The name will be used for ixFeatureCtrlComponentCheck().
#define | IX_FEATURECTRL_NPEC
| The Component Name for NPE C. The name will be used for ixFeatureCtrlComponentCheck().
#define | IX_FEATURECTRL_PCI
| The Component Name for PCI Controller. The name will be used for ixFeatureCtrlComponentCheck().
#define | IX_FEATURECTRL_REG_UTOPIA_32PHY
| Maximum UTOPIA PHY available to IXP425 is 32.
#define | IX_FEATURECTRL_REG_UTOPIA_16PHY
| Maximum UTOPIA PHY available to IXP425 is 16.
#define | IX_FEATURECTRL_REG_UTOPIA_8PHY
| Maximum UTOPIA PHY available to IXP425 is 8.
#define | IX_FEATURECTRL_REG_UTOPIA_4PHY
| Maximum UTOPIA PHY available to IXP425 is 4.
#define | IX_FEATURE_CTRL_SWCONFIG_DISABLED
| Software configuration is disabled.
#define | IX_FEATURE_CTRL_SWCONFIG_ENABLED
| Software configuration is enabled.
## Typedefs
typedef UINT32 | IxFeatureCtrlReg
| Feature Control Register that contains hardware components' availability information.
typedef UINT32 | IxFeatureCtrlProductId
| Product ID of Silicon that contains Silicon Stepping and Maximum XScale Core Frequency information.
typedef UINT32 | IxFeatureCtrlComponentType
| The component type used for ixFeatureCtrlComponentCheck().
## Enumerations
enum | IxFeatureCtrlSwConfig { IX_FEATURECTRL_ETH_LEARNING, IX_FEATURECTRL_SWCONFIG_MAX }
| Enumeration for software configuration in access components. More...
## Functions
IxFeatureCtrlReg | ixFeatureCtrlRead (void)
| This function reads out the CURRENT value of Feature Control Register. The current value may not be the same as that of the hardware component availability.
IxFeatureCtrlReg | ixFeatureCtrlHwCapabilityRead (void)
| This function reads out the hardware capability of a silicon type as defined in feature control register.This value is different from that returned by ixFeatureCtrlRead() because this function returns the actual hardware component availability.
void | ixFeatureCtrlWrite (IxFeatureCtrlReg expUnitReg)
| This function write the value stored in IxFeatureCtrlReg expUnitReg to the Feature Control Register.
IX_STATUS | ixFeatureCtrlComponentCheck (IxFeatureCtrlComponentType componentType)
| This function will check the availability of hardware component specified as componentType value.
IxFeatureCtrlProductId | ixFeatureCtrlProductIdRead (void)
| This function will return IXP425 product ID i.e. CP15, Register 0.
IX_STATUS | ixFeatureCtrlSwConfigurationCheck (IxFeatureCtrlSwConfig swConfigType)
| This function checks whether the specified software configuration is enabled or disabled.
void | ixFeatureCtrlSwConfigurationWrite (IxFeatureCtrlSwConfig swConfigType, BOOL enabled)
| This function enable/disable the specified software configuration.
void | ixFeatureCtrlIxp400SwVersionShow (void)
| This function shows the current software release information for IXP400.
## Detailed Description This file contains the public API of the IXP425 Feature Control component. Date: 30-Jan-2003 Version: Revision 1.12 -- Intel Copyright Notice -- Copyright 2002-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file IxFeatureCtrl.h.
Automatically generated from sources. © Intel Corp. 2003